From 9fe67be37d2dd54e182d5208ae9231e616b3b1c1 Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Tue, 26 May 2020 23:00:35 +0800
Subject: [PATCH 15/16] cpu_device_hotplug_maximum: verify max vcpus need
 hotplug.

Supported max vcpu less then three times of host cpu number.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 qemu/tests/cpu_device_hotplug_maximum.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/qemu/tests/cpu_device_hotplug_maximum.py b/qemu/tests/cpu_device_hotplug_maximum.py
index c2c40d4a..fd5685ba 100644
--- a/qemu/tests/cpu_device_hotplug_maximum.py
+++ b/qemu/tests/cpu_device_hotplug_maximum.py
@@ -1,6 +1,7 @@
 import re
 import logging
 import platform
+import multiprocessing
 from os import uname
 
 from avocado.utils import cpu
@@ -45,6 +46,10 @@ def run(test, params, env):
     supported_maxcpus = (params.get_numeric("vcpu_maxcpus") or
                          utils_qemu.get_maxcpus_hard_limit(qemu_binary,
                                                            current_machine))
+    host_cpu = int(multiprocessing.cpu_count())
+    maxcpus = 3 * host_cpu
+    supported_maxcpus = min(maxcpus, supported_maxcpus)
+
     if not params.get_boolean("allow_pcpu_overcommit"):
         supported_maxcpus = min(supported_maxcpus, cpu.online_cpus_count())
 
-- 
2.23.0

